Bug 1222165 - Xdebug step not working
Summary: Xdebug step not working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-pdt
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-16 00:03 UTC by dev002
Modified: 2015-12-08 19:52 UTC (History)
2 users (show)

Fixed In Version: eclipse-pdt-3.6.0-3.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 19:52:56 UTC


Attachments (Terms of Use)

Description dev002 2015-05-16 00:03:46 UTC
Description of problem:
Xdebug step not working


Version-Release number of selected component (if applicable):
eclipse-platform-4.4.2-5.fc22.x86_64
eclipse-pdt-3.3.1-5.fc22.noarch
php-pecl-xdebug-2.3.2-1.fc22.x86_64

How reproducible:


Steps to Reproduce:
1. Open PHP file
2. Configure Debug with Xdebug
3. Try step line to line
4. PDT window does not refresh the change of line.

Actual results:
Debug not working


Expected results:
Show line of debug step.

Additional info:

Comment 1 dev002 2015-06-18 14:38:53 UTC
eclipse-pdt-3.4 solves this problem

Comment 2 Fedora Update System 2015-11-29 21:01:59 UTC
eclipse-pdt-3.6.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-977207e956

Comment 3 Fedora Update System 2015-12-01 02:23:02 UTC
eclipse-pdt-3.6.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update eclipse-pdt'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-977207e956

Comment 4 Fedora Update System 2015-12-08 19:52:51 UTC
eclipse-pdt-3.6.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.